A single-use capability for the live transcript socket (the handler only)
POST
/v1/workspace/calls/{call_id}/transcript-token
const url = 'https://api.vocapable.com/v1/workspace/calls/example/transcript-token';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/calls/example/transcript-token \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”call_id
required
Call Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceTranscriptToken
A single-use, 60-second capability for the live transcript socket.
Connect to url and send {"type": "start", "token": …} as the first frame; the
token is never put in the URL. Frames are ready, transcript (one
:class:~vocapable_contracts.handoff.RealtimeTranscriptDelta) and notice.
object
call_id
required
Call Id
string
url
required
Url
string
token
required
Token
string
expires_at
required
Expires At
string format: date-time
single_use
Single Use
boolean
Example
{ "single_use": true}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}